Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jca.cci.core
Interface RecordCreator

All Known Implementing Classes:
  MappingRecordOperation.RecordCreatorImpl

    public interface RecordCreator

Callback interface for creating a CCI Record instance, usually based on the passed-in CCI RecordFactory.

Used for input Record creation in CciTemplate. Alternatively, Record instances can be passed into CciTemplate's corresponding `execute` methods directly, either instantiated manually or created through CciTemplate's Record factory methods.

Also used for creating default output Records in CciTemplate. This is useful when the JCA connector needs an explicit output Record instance, but no output Records should be passed into CciTemplate's `execute` methods.

Since:
  1.2
Author:
  Thierry Templier, Juergen Hoeller
See Also:
  `CciTemplate.execute(javax.resource.cci.InteractionSpec, RecordCreator)`, `CciTemplate.execute(javax.resource.cci.InteractionSpec, RecordCreator, RecordExtractor)`, `CciTemplate.createIndexedRecord(String)`, `CciTemplate.createMappedRecord(String)`, `CciTemplate.setOutputRecordCreator(RecordCreator)`

Method Summary
`Record` | `createRecord(RecordFactory recordFactory)` Create a CCI Record instance, usually based on the passed-in CCI RecordFactory.

Method Detail

### createRecord

    Record createRecord(RecordFactory recordFactory)
                        throws ResourceException,
                               DataAccessException

  Create a CCI Record instance, usually based on the passed-in CCI RecordFactory.

  For use as input creator with CciTemplate's `execute` methods, this method should create a populated Record instance. For use as output Record creator, it should return an empty Record instance.

  Parameters:
    `recordFactory` - the CCI RecordFactory (never `null`, but not guaranteed to be supported by the connector: its create methods might throw NotSupportedException)
  Returns:
    the Record instance
  Throws:
    `ResourceException` - if thrown by a CCI method, to be auto-converted to a DataAccessException
    `DataAccessException` - in case of custom exceptions

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.